%global spname		ldapsp
%global filtname	ldapfilt
%global beansname	ldapbeans

Name:		ldapjdk
Version:	4.18
Release:	%mkrel 14
Epoch:		0
Summary: 	The Mozilla LDAP Java SDK
License:	MPLv1.1 or GPLv2+ or LGPLv2+
Group:		Development/Java
URL:		http://www.mozilla.org/directory/javasdk.html
# mkdir ldapjdk-4.18 ; 
# cvs -d:pserver:anonymous@cvs-mirror.mozilla.org:/cvsroot Export -r LDAPJavaSDK_418 DirectorySDKSourceJava
# tar -zcf ldapjdk-4.18,tar.gz ldapjdk-4.18
Source:		%{name}-%{version}.tar.gz
# originally taken from http://mirrors.ibiblio.org/pub/mirrors/maven2/ldapsdk/ldapsdk/4.1/ldapsdk-4.1.pom
# changed: gId, aId and version
Source1:	%{name}-%{version}.pom
Patch0: 	%{name}-jarnamefix.patch
Patch1:         matching-rule-parsing-640750.patch

Requires:	jpackage-utils >= 0:1.5
Requires:       jss
BuildRequires:  ant
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:  jss
BuildRequires:  java-devel >= 0:1.6.0

Provides:	jndi-ldap = 1.3.0
BuildArch:	noarch

%description
The Mozilla LDAP SDKs enable you to write applications which access,
manage, and update the information stored in an LDAP directory.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Obsoletes:      openjmx-javadoc

%description javadoc
Javadoc for %{name}

%prep
%setup -q
# Remove all bundled jars, we must build against build-system jars
rm -f ./mozilla/directory/java-sdk/ldapjdk/lib/{jss32_stub,jsse,jnet,jaas,jndi}.jar

%patch0 -p1
%patch1 -p1

%build
# cleanup CVS dirs
rm -fr $(find . -name CVS -type d)
# Link to build-system BRs
pwd
( cd  mozilla/directory/java-sdk/ldapjdk/lib && build-jar-repository -s -p . jss4 jsse jaas jndi )
cd mozilla/directory/java-sdk
if [ ! -e "$JAVA_HOME" ] ; then export JAVA_HOME="%{_jvmdir}/java" ; fi
sh -x ant dist

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 mozilla/directory/java-sdk/dist/packages/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -m 644 mozilla/directory/java-sdk/dist/packages/%{spname}.jar $RPM_BUILD_ROOT%{_javadir}/%{spname}.jar
install -m 644 mozilla/directory/java-sdk/dist/packages/%{filtname}.jar $RPM_BUILD_ROOT%{_javadir}/%{filtname}.jar
install -m 644 mozilla/directory/java-sdk/dist/packages/%{beansname}.jar $RPM_BUILD_ROOT%{_javadir}/%{beansname}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}-1.3.0

pushd $RPM_BUILD_ROOT%{_javadir}-1.3.0
	ln -fs ../java/*%{spname}.jar jndi-ldap.jar
popd

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "ldapsdk:ldapsdk"

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -r mozilla/directory/java-sdk/dist/doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%{_javadir}/%{name}*.jar
%{_javadir}/%{spname}*.jar
%{_javadir}/%{filtname}*.jar
%{_javadir}/%{beansname}*.jar
%{_javadir}-1.3.0/*.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(-,root,root,)
%dir %{_javadocdir}/%{name}
%{_javadocdir}/%{name}/*



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0:4.18-14.mga4
+ Revision: 506797
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0:4.18-13.mga3
+ Revision: 356719
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 dmorgan <dmorgan> 0:4.18-12.mga3
+ Revision: 328005
- Build with java7

* Thu Sep 13 2012 dmorgan <dmorgan> 0:4.18-11.mga3
+ Revision: 293303
- Clean spec file

* Mon Jun 25 2012 dmorgan <dmorgan> 0:4.18-10.mga3
+ Revision: 263563
- Add comment about what we need to merge in fedora

* Sat Dec 03 2011 dmorgan <dmorgan> 0:4.18-0.0.5.mga2
+ Revision: 175593
- Remove gcj support

  + gil <gil>
    - added maven2 pom

* Fri Jan 21 2011 dmorgan <dmorgan> 0:4.18-0.0.4.mga1
+ Revision: 28497
- imported package ldapjdk


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0:4.18-0.0.4mdv2011.0
+ Revision: 606397
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0:4.18-0.0.3mdv2010.1
+ Revision: 523161
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:4.18-0.0.2mdv2010.0
+ Revision: 425504
- rebuild

* Mon Nov 24 2008 David Walluck <walluck@mandriva.org> 0:4.18-0.0.1mdv2009.1
+ Revision: 306132
- 4.18

* Wed Dec 26 2007 David Walluck <walluck@mandriva.org> 0:4.17-1.6.0mdv2008.1
+ Revision: 138165
- fix build

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)
    - remove unnecessary Requires(post) on java-gcj-compat


* Tue Dec 12 2006 David Walluck <walluck@mandriva.org> 4.17-1.4mdv2007.0
+ Revision: 95185
- bump release
- Import ldapjdk

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0:4.17-1.3mdv2007.0
- rebuild for libgcj.so.7
- aot-compile

* Fri Jan 13 2006 David Walluck <walluck@mandriva.org> 0:4.17-1.2mdk
- BuildRequires: java-devel

* Sun Sep 11 2005 David Walluck <walluck@mandriva.org> 0:4.17-1.1mdk
- release

* Thu Jan 27 2005 Gary Benson <gbenson@redhat.com> 0:4.17-1jpp_2fc
- Remove non-distributable files from the source tarball.

* Fri Jan 21 2005 Gary Benson <gbenson@redhat.com> 0:4.17-1jpp_1fc
- Build into Fedora.

* Tue Nov 16 2004 Fernando Nasser <fnasser@redhat.com> 0:4.17-1jpp_1rh
- Merge with upstream for upgrade

* Fri Aug 27 2004 Fernando Nasser <fnasser@redhat.com> 0:4.17-1jpp
- Upgrade to 4.17
- Rebuilt with Ant 1.6.2

* Fri Mar 05 2004 Frank Ch. Eigler <fche@redhat.com> 0:4.1-5jpp_1rh
- RH vacuuming
- added ldapjdk-javaxssl.patch to stop using com.sun.*

